Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 709868 - media-libs/gst-plugins-base-1.14.5-r1 with sys-devel/make-4.3 - app-enumtypes.c:6:1: error: stray '\' in program
Summary: media-libs/gst-plugins-base-1.14.5-r1 with sys-devel/make-4.3 - app-enumtypes...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: GStreamer package maintainers
URL: https://forums.gentoo.org/viewtopic-t...
Whiteboard:
Keywords:
Depends on:
Blocks: make-4.3
  Show dependency tree
 
Reported: 2020-02-16 23:00 UTC by mycatlovemetoo
Modified: 2020-03-18 11:26 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,415.30 KB, text/plain)
2020-02-16 23:04 UTC, mycatlovemetoo
Details
PatchesToBeTested (gst-plugins.patch.tgz,5.19 KB, patch)
2020-02-25 00:03 UTC, Antoine
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mycatlovemetoo 2020-02-16 23:00:29 UTC
Compiles with make-4.2.1-r4 but not with make-4.3

Reproducible: Always
Comment 1 mycatlovemetoo 2020-02-16 23:04:12 UTC
Created attachment 614086 [details]
build.log
Comment 2 Antoine 2020-02-25 00:03:46 UTC
Created attachment 615666 [details, diff]
PatchesToBeTested

Hello,

Patches which may help to compile :
 - media-plugins/gst-plugins-v4l2-1.14.5
 - media-plugins/gst-plugins-good-1.14.5
 - media-libs/gst-plugins-bad-1.14.5
 - media-libs/gst-plugins-base-1.14.5
 
Theses patches work on my system (/etc/portage/patches).

Hope to help.

Antoine
Comment 3 Ionen Wolkens 2020-02-28 13:41:36 UTC
Tried above patches except v4l/bad (I don't use those two), and "seems" fine for me with that I use. -libav that I also use still built fine without patches.

However, this is technically already fixed if switching to meson+ninja instead of autoconf+make (already optionally available in 1.14.5).

Looking at git, gstreamer removed autoconf files entirely for upcoming 1.17.x release so this switch will become required. Given it's a lot of ebuild revising to do, should probably push patches meanwhile.
Comment 4 WANG Xuerui 2020-03-03 16:20:19 UTC
Same reason as #705974 it seems. All gst plugins should be affected.
Comment 5 Silvio 2020-03-08 22:07:11 UTC
The patch appears to be binary to me. My fault?
Comment 6 Ionen Wolkens 2020-03-09 04:14:03 UTC
(In reply to Silvio from comment #5)
> The patch appears to be binary to me. My fault?
It's a .tgz with multiple patches, and I think it reports wrong content-type confusing browsers. Rather than open, just use save as then extract normally.
Comment 7 David Seifert gentoo-dev 2020-03-18 11:26:09 UTC
Should be fixed now with a1187bb0a41157cee36a4864ce1ff710dad4c9a1.